aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-class-dbi/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 12:25:26 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 12:25:30 +0000
commit0fce5a245c8fefd53c54387bc2a50b2a8e949f3f (patch)
tree02af9ee354f18bf9056903fb3253b0a429941736 /community/perl-class-dbi/APKBUILD
parent61c9122b4f424e304a3b498cdfb36127aaf2c811 (diff)
downloadaports-0fce5a245c8fefd53c54387bc2a50b2a8e949f3f.tar.gz
aports-0fce5a245c8fefd53c54387bc2a50b2a8e949f3f.tar.bz2
aports-0fce5a245c8fefd53c54387bc2a50b2a8e949f3f.tar.xz
community/perl-class-dbi: moved from unmaintained
Diffstat (limited to 'community/perl-class-dbi/APKBUILD')
-rw-r--r--community/perl-class-dbi/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/community/perl-class-dbi/APKBUILD b/community/perl-class-dbi/APKBUILD
new file mode 100644
index 0000000000..6166e4e8ff
--- /dev/null
+++ b/community/perl-class-dbi/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-class-dbi
+_pkgreal=Class-DBI
+pkgver=v3.0.17
+pkgrel=0
+pkgdesc="Simple Database Abstraction"
+url="http://search.cpan.org/dist/Class-DBI/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-universal-moniker perl-ima-dbi perl-clone perl-class-data-inheritable perl-class-accessor perl-class-trigger"
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="df59962bab98a0d31bf1d04d7270831b Class-DBI-v3.0.17.tar.gz"